<?php

  /*

    Copyright (C) 2013 Artem Prilutskiy, R3ABM (r3abm@dstar.su)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

  */

  define("GATEWAY_CONFIG", "/etc/ircddbgateway");

  if (!defined("GATEWAY_HOST") && file_exists(GATEWAY_CONFIG))
  {
    $content = file_get_contents(GATEWAY_CONFIG);

    foreach (explode("\n", $content) as $line)
      if (preg_match('/^remote(\w+)=(\w*)$/', $line, $matches))
        define("GATEWAY_" . strtoupper($matches[1]), $matches[2]);

    if (defined("GATEWAY_ENABLED") && GATEWAY_ENABLED)
      define("GATEWAY_HOST", "127.0.0.1");
  }

?>
