<?php

  /*

    Copyright (C) 2013 Artem Prilutskiy, R3ABM (r3abm@dstar.su)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

  */

  include("RemoteControl.php");
  include("Configuration.php");
  include("LocalGateway.php");
  include("ServiceResponse.php");

  $remote = new RemoteControl(GATEWAY_HOST, GATEWAY_PORT);

  if ($remote->logIn(GATEWAY_PASSWORD) !== TRUE)
    exit();

  $output = array();
  foreach ($remote->queryCalls() as $module)
  {
    if ($module["type"] == "R")
    {
      $call = $module["call"];
      $output[$call] = $remote->queryRepeater($call);
    }
  }

  $remote->logOut();
  send($output);

?>
